PUT
/api/v1/monitoring/single-service/stop_resume_alert/{trigger_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/monitoring/single-service/stop_resume_alert/{trigger_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '"{\n \"action_type\": \"pause_alert\"\n // \"action_type\": \"resume_alert\"\n}"'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/monitoring/single-service/stop_resume_alert/{trigger_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json="{\n \"action_type\": \"pause_alert\"\n // \"action_type\": \"resume_alert\"\n}",)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/monitoring/single-service/stop_resume_alert/{trigger_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify("{\n \"action_type\": \"pause_alert\"\n // \"action_type\": \"resume_alert\"\n}"),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”trigger_id
required
string
Path parameter trigger_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key for authenticating the request
Example
<API_KEY>location
required
string
Specifies the E2E Myaccount location for the pause or resume operation
Example
<LOCATION>Request Body
Section titled “Request Body”Media typeapplication/json
JSON string indicating whether to pause or resume an alert
string
Example
{ "action_type": "pause_alert" // "action_type": "resume_alert"}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code indicating the result of the pause or resume alert request
integer
data
String value returned in the response for a pause or resume alert operation
string
errors
object
message
Human-readable status message for the pause or resume operation
string
Example
{ "code": 200, "data": "", "message": "Alert paused successfully."}